#
# spec file for package kochi-substitute (Version 20030809)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  PfaEdit XFree86-libs

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel PfaEdit XFree86-libs autoconf automake binutils gcc gdbm gettext libtool perl rpm


Name:           kochi-substitute
License:        Public Domain, Freeware
Group:          System/X11/Fonts
AutoReqProv:    on
PreReq:         %suseconfig_fonts_prereq
Conflicts:      ttf-kochi-gothic, ttf-kochi-mincho
Version:        20030809
Release:        118.8
Url:            http://sourceforge.jp/projects/efont/files/
Source0:        http://downloads.sourceforge.jp/efont/5411/kochi-substitute-20030809.tar.bz2
Source1:        fonts.scale.kochi-substitute
Source2:        remove-wrong-glyphs
Source3:        sazanami-mincho.ttf
Source4:        rename-to-kochi-mincho
Source100:      http://prdownloads.sourceforge.jp/efont/5411/substkit-20030809.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Substitutes for the Japanese "Kochi" TrueType Fonts

%description
Substitutes for the Japanese "Kochi" TrueType fonts.



Authors:
--------
    Kazuhiko <kazuhiko@fdiary.net>
    KANOU Hiroki <kanou@khdd.net>
    FURUKAWA yasuyuki   <Furukawa.Yasuyuki@fujixerox.co.jp>

%prep
%setup 

%build
cp $RPM_SOURCE_DIR/sazanami-mincho.ttf .
$RPM_SOURCE_DIR/rename-to-kochi-mincho sazanami-mincho.ttf
mv sazanami-mincho.ttf kochi-mincho-subst.ttf
$RPM_SOURCE_DIR/remove-wrong-glyphs kochi-mincho-subst.ttf

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 kochi-mincho-subst.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/kochi-mincho.ttf
install -c -m 644 kochi-gothic-subst.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/kochi-gothic.ttf
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.kochi-substitute \
                  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%run_suseconfig -m fonts
if [ -x sbin/conf.d/SuSEconfig.pango ]; then
    %run_suseconfig -m pango
fi
if [ -x sbin/conf.d/SuSEconfig.ghostscript-cjk ]; then
    %run_suseconfig -m ghostscript-cjk
fi

%postun
%run_suseconfig -m fonts
if [ -x sbin/conf.d/SuSEconfig.pango ]; then
    %run_suseconfig -m pango
fi
if [ -x sbin/conf.d/SuSEconfig.ghostscript-cjk ]; then
    %run_suseconfig -m ghostscript-cjk
fi

%files 
%defattr(-, root,root)
%doc COPYING README*
%doc docs
%dir /usr/X11R6/lib/X11/fonts/truetype
/usr/X11R6/lib/X11/fonts/truetype/*.ttf
%config /usr/X11R6/lib/X11/fonts/truetype/fonts.scale.*

%changelog
* Wed Sep 17 2008 - mfabian@suse.de
- bnc#399560: fix problems with Java caused by the replacing
  "Kochi Mincho" with "Sazanami Mincho" without setting the
  TrueType names correctly. Fixed by Ichiroh Takiguchi.
* Mon Dec 18 2006 - mfabian@suse.de
- Bugzilla #228187: fix problems with Ghostscript caused by
  the version of Kochi Mincho which was edited with pfaedit to
  fix bug #82786.
* Thu May 12 2005 - mfabian@suse.de
- Bugzilla #82786:
  LTC15780-Serif font incorrect glyph for U+3231.
* Fri Mar 19 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.ghostscript-cjk in %%post and %%postun of
  TrueType subpackage.
* Fri Feb 27 2004 - mfabian@suse.de
-  run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Tue Feb 24 2004 - hmacht@suse.de
- building as non-root
* Mon Aug 11 2003 - mfabian@suse.de
- add correct substkit-20030809.tar.bz2, last one was broken.
* Mon Aug 11 2003 - mfabian@suse.de
- update to version 20030809. Together with the patches to
  gs_ttf.ps in Ghostscript, this update makes vertical printing
  work.
* Thu Jul 17 2003 - mfabian@suse.de
- make file names of substitute fonts exactly the same as the
  file names of the original Kochi fonts for better compatibility,
  especially for CJK-LaTeX.
* Thu Jul 17 2003 - mfabian@suse.de
- fix fonts.scale.*
* Wed Jul 16 2003 - mfabian@suse.de
- new package: version 20030628
